Subject: Re: Retroactively change email signature? [resend]

From: Sam Vilain <[email-masked]>
Date: Sat, 05 Jan 2008 12:04:50 +1300

Linus Torvalds wrote:
> I don't care. If some commit refers to another commit that isn't its 
> ancestor, then that is undefined *anyway*. 
> 
> So the only case that really matters is when you refer to your own strict 
> ancestor.
> 
> This is one reason why it was so crazy that "git cherry-pick" used to have 
> "-x" by default - appending the original SHA1 (which is generally *not* an 
> ancestor) is meaningless and stupid.

Not stupid at all.  It gives you an easily clickable link to the
previous version of the patch, which may be of interest, and is
otherwise irretrievable information if the patch needed resolving.

Sam.